VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| PhysicalDeviceMeshShaderFeaturesNV (Bool32 taskShader_=0, Bool32 meshShader_=0)
| PhysicalDeviceMeshShaderFeaturesNV (VkPhysicalDeviceMeshShaderFeaturesNV const &rhs)
PhysicalDeviceMeshShaderFeaturesNV & | operator= (VkPhysicalDeviceMeshShaderFeaturesNV const &rhs)
PhysicalDeviceMeshShaderFeaturesNV & | setPNext (void *pNext_)
PhysicalDeviceMeshShaderFeaturesNV & | setTaskShader (Bool32 taskShader_)
PhysicalDeviceMeshShaderFeaturesNV & | setMeshShader (Bool32 meshShader_)
| operator VkPhysicalDeviceMeshShaderFeaturesNV const & () const
| operator VkPhysicalDeviceMeshShaderFeaturesNV & ()
bool | operator== (PhysicalDeviceMeshShaderFeaturesNV const &rhs) const
bool | operator!= (PhysicalDeviceMeshShaderFeaturesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
Bool32 | taskShader
Bool32 | meshShader

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceMeshShaderFeaturesNV

## Detailed Description

Definition at line 19986 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceMeshShaderFeaturesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::PhysicalDeviceMeshShaderFeaturesNV | ( | Bool32 | taskShader_ = `0`,
|  | Bool32 | meshShader_ = `0`
| ) |  |

inline

Definition at line 19988 of file vulkan.hpp.

: taskShader( taskShader_ )
, meshShader( meshShader_ )
{
}

## PhysicalDeviceMeshShaderFeaturesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::PhysicalDeviceMeshShaderFeaturesNV | ( | VkPhysicalDeviceMeshShaderFeaturesNV const & | rhs | ) |

inline

Definition at line 19995 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceMeshShaderFeaturesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceMeshShaderFeaturesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::operator VkPhysicalDeviceMeshShaderFeaturesNV & | ( |  | ) |

inline

Definition at line 20028 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceMeshShaderFeaturesNV*>(this);
}

## operator VkPhysicalDeviceMeshShaderFeaturesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::operator VkPhysicalDeviceMeshShaderFeaturesNV const & | ( |  | ) | const

inline

Definition at line 20023 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceMeshShaderFeaturesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::operator!= | ( | PhysicalDeviceMeshShaderFeaturesNV const & | rhs | ) | const

inline

Definition at line 20041 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceMeshShaderFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::operator= | ( | VkPhysicalDeviceMeshShaderFeaturesNV const & | rhs | ) |

inline

Definition at line 20000 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceMeshShaderFeaturesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::operator== | ( | PhysicalDeviceMeshShaderFeaturesNV const & | rhs | ) | const

inline

Definition at line 20033 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( taskShader == rhs.taskShader )
&& ( meshShader == rhs.meshShader );
}

References meshShader, pNext, sType, and taskShader.

Referenced by operator!=().

## setMeshShader()

PhysicalDeviceMeshShaderFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::setMeshShader | ( | Bool32 | meshShader_ | ) |

inline

Definition at line 20017 of file vulkan.hpp.

{
meshShader = meshShader_;
return *this;
}

References meshShader.

## setPNext()

PhysicalDeviceMeshShaderFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 20005 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setTaskShader()

PhysicalDeviceMeshShaderFeaturesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::setTaskShader | ( | Bool32 | taskShader_ | ) |

inline

Definition at line 20011 of file vulkan.hpp.

{
taskShader = taskShader_;
return *this;
}

References taskShader.

## Field Documentation

## meshShader

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::meshShader

Definition at line 20052 of file vulkan.hpp.

Referenced by operator==(), and setMeshShader().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::pNext = nullptr

Definition at line 20050 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::sType = StructureType::ePhysicalDeviceMeshShaderFeaturesNV

private

Definition at line 20047 of file vulkan.hpp.

Referenced by operator==().

## taskShader

Bool32 VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::taskShader

Definition at line 20051 of file vulkan.hpp.

Referenced by operator==(), and setTaskShader().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::PhysicalDeviceMeshShaderFeaturesNV
PhysicalDeviceMeshShaderFeaturesNV(Bool32 taskShader_=0, Bool32 meshShader_=0)
Definition: vulkan.hpp:19988
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::pNext
void * pNext
Definition: vulkan.hpp:20050
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::operator==
bool operator==(PhysicalDeviceMeshShaderFeaturesNV const &rhs) const
Definition: vulkan.hpp:20033
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::meshShader
Bool32 meshShader
Definition: vulkan.hpp:20052
VkPhysicalDeviceMeshShaderFeaturesNV
Definition: vulkan_core.h:8652
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::sType
StructureType sType
Definition: vulkan.hpp:20047
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderFeaturesNV::taskShader
Bool32 taskShader
Definition: vulkan.hpp:20051